Foxit Reader “util.printf()” puffer túlcsordulás sérülékenysége

CH azonosító

CH-1240

Felfedezés dátuma

2008.05.19.

Súlyosság

Magas

Érintett rendszerek

Foxit Reader
Foxit Software Company

Érintett verziók

Foxit Software Company Foxit Reader 2.X

Összefoglaló

A Foxit Reader egy olyan sérülékenységét fedezték fel, amelyet a támadók rendszerek feltöréséhez használhatnak fel.

Leírás

A Foxit Reader egy olyan sérülékenységét fedezték fel, amelyet a támadók rendszerek feltöréséhez használhatnak fel.

A sérülékenységet a “util.printf()” JavaScript függvény határ hibája okozza, amit a lebegő pontos formátum stringek elemzése vált ki. Ezt ki lehet használni egy verem túlcsordulás előidézésére egy speciálisan erre a célra elkészített PDF fájllal.

A sikeres kiaknázás tetszőleges kód futtatását teszi lehetővé.

A sérülékenységet a 2.3 (2825) verzióban bizonyították. Más verziók is lehetnek érintettek.

Megoldás

Frissítsen a legújabb verzióra